#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hOpenPGP
version: 2.7.2
id: hOpenPGP-2.7.2-LxNq9mL5qxFC0JcbCuqRcg
key: hOpenPGP-2.7.2-LxNq9mL5qxFC0JcbCuqRcg
license: MIT
copyright: 2012-2018  Clint Adams
maintainer: Clint Adams <clint@debian.org>
author: Clint Adams
homepage: https://salsa.debian.org/clint/hOpenPGP
synopsis: native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)
category: Codec, Data
abi: d380c5d60bce316368b34ca15bbfe04f
exposed: True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify
hidden-modules: Codec.Encryption.OpenPGP.Internal
                Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
                Codec.Encryption.OpenPGP.Internal.Cryptonite
                Codec.Encryption.OpenPGP.Internal.HOBlockCipher
                Codec.Encryption.OpenPGP.SerializeForSigs
                Codec.Encryption.OpenPGP.Types.Internal.Base
                Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
                Codec.Encryption.OpenPGP.Types.Internal.PacketClass
                Codec.Encryption.OpenPGP.Types.Internal.PKITypes
                Codec.Encryption.OpenPGP.Types.Internal.Pkt
                Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
                Codec.Encryption.OpenPGP.Types.Internal.TK
                Codec.Encryption.OpenPGP.BlockCipher
import-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/hOpenPGP-2.7.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/hOpenPGP-2.7.2
hs-libraries: HShOpenPGP-2.7.2-LxNq9mL5qxFC0JcbCuqRcg
depends:
    aeson-1.4.0.0-1xR3EM2Xhm4Aau5GdgOB0b
    asn1-encoding-0.9.5-9cst6ufYNzLLegsIpPLSqn
    attoparsec-0.13.2.2-EIztAESN4La3Q2n7ylOy7n base-4.11.1.0
    base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    bifunctors-5.5.3-9jqaoheYI3yJSBk86s0M4s bytestring-0.10.8.2
    bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x binary-0.8.5.1
    binary-conduit-1.3-7oNEvFKBmT5Ar7ccrYJQSH
    conduit-1.3.0.3-3CbRrLdzkFA96nQUnURgiZ
    conduit-extra-1.3.0-ErrIqCZB7LS46rga7xIIMb containers-0.5.11.0
    cryptonite-0.25-Ka20h0HuI7x3L9WMrwHuzr
    crypto-cipher-types-0.0.9-CWRnyUrf3Y13otvenAhiW3
    errors-2.3.0-FkWtMDbTCAG9tQYZlLuJEI
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    incremental-parser-0.3.1.1-72sJ4sJnMJu3FQgqd4U0rw
    ixset-typed-0.4-AfNjqOyQ9VT51FCkJ3RaLE
    lens-4.17-9Q1pWD2BrerLhuespF4bwK
    memory-0.14.16-FrHKJ6EcQ5I95PPEhrgDqk
    monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs
    nettle-0.3.0-4GnDkAdx08K7qW1GPYRVnz
    newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw
    openpgp-asciiarmor-0.1.1-9ZFa35Md8K1hn2CYiagin
    prettyprinter-1.2.1-FE3jli4KcyKBdF3L8AKAYT
    resourcet-1.2.1-9L77r2TmBqb6vPZxXVR5sr
    split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG text-1.2.3.0 time-1.8.0.2
    time-locale-compat-0.1.1.5-DDznVvFVEsmlk0WqJppPg
    transformers-0.5.5.0 unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS
    unordered-containers-0.2.9.0-HNWXUV6vCRnCav4TlSGszj
    zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
abi-depends: aeson-1.4.0.0-1xR3EM2Xhm4Aau5GdgOB0b=c22e056a410eb876f6f97788d58417ce
             asn1-encoding-0.9.5-9cst6ufYNzLLegsIpPLSqn=5bd647da5b75ac9508590cd829dd1d24
             attoparsec-0.13.2.2-EIztAESN4La3Q2n7ylOy7n=5f8c3cf6b8ae475d94bd0da5607b091c
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             base16-bytestring-0.1.1.6-I0igvRcEwRNBMqqPC2yQBh=0cc0842c69ffec2c0f1c4a27d1f518e1
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=6373b2ec1ae2585bcca6cddbee5d3e75
             bifunctors-5.5.3-9jqaoheYI3yJSBk86s0M4s=3d3c9e00ff840d6fb7ed94064910112e
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             bzlib-0.5.0.5-I5HFtx2qcsm7rM1vX9uO9x=856b74462f46f0b4736f48f7d1b5cd01
             binary-0.8.5.1=758db3c95031800de821949083b71c7f
             binary-conduit-1.3-7oNEvFKBmT5Ar7ccrYJQSH=4ceb516d07f0bf4121e6c7598be30f1a
             conduit-1.3.0.3-3CbRrLdzkFA96nQUnURgiZ=6325177ec1e4339b3ba62a6c7bbb56ca
             conduit-extra-1.3.0-ErrIqCZB7LS46rga7xIIMb=6b8d5aaa7aa137053a46f4ecaeed2a18
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             cryptonite-0.25-Ka20h0HuI7x3L9WMrwHuzr=049bf293d9c1bef7bdb45e8c7d818d0c
             crypto-cipher-types-0.0.9-CWRnyUrf3Y13otvenAhiW3=cb87066ae33bf9a24024a1848d60cb54
             errors-2.3.0-FkWtMDbTCAG9tQYZlLuJEI=ab011b81b57f60d804e3d3f02d2ca783
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             incremental-parser-0.3.1.1-72sJ4sJnMJu3FQgqd4U0rw=d30d3b6d0752a937b6f550541106a0a4
             ixset-typed-0.4-AfNjqOyQ9VT51FCkJ3RaLE=50de760fcf346a62024dd2af80273de4
             lens-4.17-9Q1pWD2BrerLhuespF4bwK=ab1d1bd95dc58564867100a032286a07
             memory-0.14.16-FrHKJ6EcQ5I95PPEhrgDqk=23a2e2ee61129c4073d4aeb70df9c169
             monad-loops-0.4.3-2NGNwTmuzQ8HUga17olMGs=8f6673eb67ce392bdddb2c5970e7d454
             nettle-0.3.0-4GnDkAdx08K7qW1GPYRVnz=a35fd82ab567b3dd17e6e1cceedf5d93
             newtype-0.2-ITmrBJ3PFy1E3eiFCi9Xkw=2753ad7f09bb3742017169e64f653c7d
             openpgp-asciiarmor-0.1.1-9ZFa35Md8K1hn2CYiagin=84448031fc43ff9d4f6f199ae71b82f5
             prettyprinter-1.2.1-FE3jli4KcyKBdF3L8AKAYT=545299a9e4d7edb60a04381e76f0fada
             resourcet-1.2.1-9L77r2TmBqb6vPZxXVR5sr=70bafb0ab3a792c6dee7cee6abd3785b
             split-0.2.3.3-DYHuRk05Zl3FsXrGVgC4fG=ea4c73c7e93df299ddc7c8e477e863d6
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             time-locale-compat-0.1.1.5-DDznVvFVEsmlk0WqJppPg=0dc91a1ae9a857b8c5071d88d21ad3c6
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             unliftio-core-0.1.2.0-900TPot3SR34dceIcVaslS=f455d126eaad42d9d326e7b0a54e0e51
             unordered-containers-0.2.9.0-HNWXUV6vCRnCav4TlSGszj=c333847eb697e0b9a0c6f4333fc78402
             zlib-0.6.2-HJOgVWrPGFTFgWXcvoaUGH=ef1ac153a45a86b7156d838914c2c4aa
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=1c5b19d707f7ce4714ffa81cd536dbf4
haddock-interfaces: /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html: /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

